<?php
/**
 * Creates a "Featured Posts" section for your blog.
 * Depending on the criteria you set, your featured posts can be picked 
 * from the "Sticky Posts", or based on a category that you define
 *
 * @package Suffusion
 * @subpackage Template
 */

// First we will get all options from the database, then we will individually invoke the options within each function as required.
global $options, $spawned_options;
foreach ($options as $value) {
    if (get_option($value['id']) === FALSE) {
    	$$value['id'] = $value['std'];
    }
    else {
    	$$value['id'] = get_option( $value['id'] );
    }
}

if ((is_category() && $suf_featured_category_view == "enabled") ||
	(is_tag() && $suf_featured_tag_view == "enabled") ||
	(is_search() && $suf_featured_search_view == "enabled") ||
	(is_author() && $suf_featured_author_view == "enabled") ||
	((is_date() || is_year() || is_month() || is_day() || is_time()) && $suf_featured_time_view == "enabled") ||
	(!(is_category() || is_tag() || is_search() || is_author() || is_date() || is_year() || is_month() || is_day() || is_time()) && $suf_featured_index_view == "enabled")) {
	
	$stickies = get_option('sticky_posts');
	$featured_categories = suf_get_allowed_categories('suf_featured_selected_categories');
	if (is_array($stickies) && count($stickies) > 0 && $suf_featured_allow_sticky == "show") {
		$sticky_query = new WP_query(array('post__in' => $stickies));
	}
	if (is_array($featured_categories) && count($featured_categories) > 0) {
		$query_cats = array();
		foreach ($featured_categories as $featured_category) {
			$query_cats[count($query_cats)] = $featured_category->cat_ID;
		}
		$query_posts = implode(",", array_values($query_cats));
		$cat_query = new WP_query(array('cat' => $query_posts, 'post__not_in' => $stickies));
	}
	$featured_from_cats = count($cat_query->posts);
	$total_count = 0;
	if (isset($sticky_query->posts) && is_array($sticky_query->posts)) {
		$total_count += count($sticky_query->posts);
	}
	if (isset($cat_query->posts) && is_array($cat_query->posts)) {
		$total_count += count($cat_query->posts);
	}
	if ($total_count > 0) {
?>
<div id="featured-posts" class="fix">
	<div id="slider" class="fix clear">
		<ul id="sliderContent" class="fix clear">
<?php
		$alttb = array("top", "bottom");
		$altlr = array("left", "right");
		$rotation = array("top", "bottom", "left", "right");
		if (in_array($suf_featured_excerpt_position, $rotation)) {
			$excerpt_position = $suf_featured_excerpt_position;
		}
		$position = 0;
		if (isset($sticky_query->posts) && is_array($sticky_query->posts)) {
			while ($sticky_query->have_posts())  {
				$sticky_query->the_post();
				if ($suf_featured_excerpt_position == "rotate") {
					$excerpt_position = $rotation[$position%4];
				}
				else if ($suf_featured_excerpt_position == "alttb") {
					$excerpt_position = $alttb[$position%2];
				}
				else if ($suf_featured_excerpt_position == "altlr") {
					$excerpt_position = $altlr[$position%2];
				}
				$position++;
?>
			<li class="sliderImage sliderimage-<?php echo $position; ?>">
				<a href="<?php the_permalink(); ?>"><?php echo suffusion_get_image(array('featured' => true, 'excerpt_position' => $excerpt_position, 'default' => true)); ?></a>
<?php 
				if ($suf_featured_excerpt_type != 'none') {
?>
				<div class="<?php echo $excerpt_position; ?>">
					<p>
						<a href="<?php the_permalink(); ?>"><?php if ($suf_featured_excerpt_type != 'excerpt') { the_title(); } ?></a>
						<?php if ($suf_featured_excerpt_type != 'title') { the_excerpt(); }?>
					</p>
				</div>
			</li>
<?php
				}
			}
		}

		if (isset($cat_query->posts) && is_array($cat_query->posts)) {
			while ($cat_query->have_posts())  {
				$cat_query->the_post();
				if ($suf_featured_excerpt_position == "rotate") {
					$excerpt_position = $rotation[$position%4];
				}
				else if ($suf_featured_excerpt_position == "alttb") {
					$excerpt_position = $alttb[$position%2];
				}
				else if ($suf_featured_excerpt_position == "altlr") {
					$excerpt_position = $altlr[$position%2];
				}
				$position++;
?>
			<li class="sliderImage sliderimage-<?php echo $position; ?>">
				<a href="<?php the_permalink(); ?>"><?php echo suffusion_get_image(array('featured' => true, 'excerpt_position' => $excerpt_position, 'default' => true)); ?></a>
<?php 
				if ($suf_featured_excerpt_type != 'none') {
?>
				<div class="<?php echo $excerpt_position; ?>">
					<p>
						<a href="<?php the_permalink(); ?>"><?php if ($suf_featured_excerpt_type != 'excerpt') { the_title(); } ?></a>
						<?php if ($suf_featured_excerpt_type != 'title') { the_excerpt(); }?>
					</p>
				</div>
			</li>

<?php
				}
			}
		}
?>
		</ul>
	</div> 

<?php
		if ($suf_featured_pager == 'show' || $suf_featured_controller == 'show') {
?>
<div id='sliderIndex' class='fix'>
<?php
			if ($suf_featured_pager == 'show') {
?>
	<div id="sliderPager">
	</div>
<?php
			}
			if ($suf_featured_controller == 'show') {
?>
	<div id="sliderControl">
		<a class='sliderPrev' href='#'>&laquo; <?php _e('Previous Post', 'suf_theme');?></a>
		<a class='sliderPause' href='#'><?php _e('Pause', 'suf_theme');?></a>
		<a class='sliderNext' href='#'><?php _e('Next Post', 'suf_theme');?> &raquo;</a>
	</div>
<?php
			}
?>
</div>
<?php
		}
?>

</div>
<?php
	}
}
?>
